Index: lemon/time_measure.h
===================================================================
--- lemon/time_measure.h	(revision 314)
+++ lemon/time_measure.h	(revision 210)
@@ -293,4 +293,5 @@
   ///function, consider the usage of \ref TimeReport instead.
   ///
+  ///\todo This shouldn't be Unix (Linux) specific.
   ///\sa TimeReport
   class Timer
@@ -312,9 +313,10 @@
     ///Basically a Timer can be either running or stopped,
     ///but it provides a bit finer control on the execution.
-    ///The \ref lemon::Timer "Timer" also counts the number of
-    ///\ref lemon::Timer::start() "start()" executions, and it stops
-    ///only after the same amount (or more) \ref lemon::Timer::stop()
-    ///"stop()"s. This can be useful e.g. to compute the running time
+    ///The \ref Timer also counts the number of \ref start()
+    ///executions, and is stops only after the same amount (or more)
+    ///\ref stop() "stop()"s. This can be useful e.g. to compute
+    ///the running time
     ///of recursive functions.
+    ///
 
     ///@{
@@ -472,5 +474,5 @@
   };
 
-  ///Same as Timer but prints a report on destruction.
+  ///Same as \ref Timer but prints a report on destruction.
 
   ///Same as \ref Timer but prints a report on destruction.
@@ -486,4 +488,5 @@
   ///\sa Timer
   ///\sa NoTimeReport
+  ///\todo There is no test case for this
   class TimeReport : public Timer
   {
@@ -491,13 +494,13 @@
     std::ostream &_os;
   public:
-    ///Constructor
-
-    ///Constructor.
+    ///\e
+
     ///\param title This text will be printed before the ellapsed time.
     ///\param os The stream to print the report to.
     ///\param run Sets whether the timer should start immediately.
+
     TimeReport(std::string title,std::ostream &os=std::cerr,bool run=true)
       : Timer(run), _title(title), _os(os){}
-    ///Destructor that prints the ellapsed time
+    ///\e Prints the ellapsed time on destruction.
     ~TimeReport()
     {
@@ -506,5 +509,5 @@
   };
 
-  ///'Do nothing' version of TimeReport
+  ///'Do nothing' version of \ref TimeReport
 
   ///\sa TimeReport
Index: lemon/tolerance.h
===================================================================
--- lemon/tolerance.h	(revision 280)
+++ lemon/tolerance.h	(revision 209)
@@ -25,4 +25,6 @@
 ///floating point numbers.
 ///
+///\todo It should be in a module like "Basic tools"
+
 
 namespace lemon {
